Clean up Phab DB after erroneously adding "Unknown Object (Commit)" to tasks by importing Phab upstream project
Open, LowestPublic

Description

This problem was reported upstream last November: https://secure.phabricator.com/T6516

The import of Phabricator upstream into Differential created comments and status changes to tasks in Wikimedia Phabricator because upstream task numbers match local task numbers.
Only affects 4-digit-or-less tasks.

We have already manually reverted all status changes (performed by "Diffusion" or "epriestley", I did not spot any other accounts existing both here and in upstream by going through https://phabricator.wikimedia.org/feed/query/projects/ ), but the

Commits
Unknown Object (Commit)

part is ugly and confusing and should be reverted if possible.

See for instance T603, T4570...

Aklapper created this task.Mar 4 2015, 9:23 AM
Aklapper updated the task description. (Show Details)
Aklapper raised the priority of this task from to High.
Aklapper added a project: Phabricator.
Aklapper added subscribers: Aklapper, demon, chasemp.
Qgil updated the task description. (Show Details)Mar 4 2015, 9:37 AM
Qgil set Security to None.
Qgil updated the task description. (Show Details)Mar 4 2015, 9:44 AM
TTO added a subscriber: TTO.Mar 4 2015, 9:51 AM

We have already manually reverted all status changes

Well, I had to correct a few, e.g. T3342. There might be others?

In T91488#1087649, @TTO wrote:

We have already manually reverted all status changes

Well, I had to correct a few, e.g. T3342.

See the timestamps - you were faster and corrected it (thank you for your help!) before I wrote my comment above. :)

TTO added a comment.Mar 4 2015, 10:45 AM

I did T2323 at 10:17 UTC, which was after you did your changes?

@TTO: Uhm. Thank you a lot for double-checking. My fault, https://phabricator.wikimedia.org/feed/query/projects/ by default only includes projects I'm member of.
I'm going through that list again now.

Statuses should(TM) be all fixed now. Again, thanks for showing me that I should really double-check... sorry. :-/

Krenair added a subscriber: Krenair.Mar 4 2015, 3:58 PM

You should reopen closed bugs (like T3581)

demon added a comment.Mar 4 2015, 5:40 PM

You should reopen closed bugs (like T3581)

We did, sorry if any slipped through the cracks. Thanks for reopening.

Aklapper added a comment.EditedMar 4 2015, 5:41 PM

You should reopen closed bugs (like T3581)

Sigh. Again, thanks for catching this. I only checked for changes associated to epriestley, but looks like
https://phabricator.wikimedia.org/feed/query/9XVX7CRbpoer/?after=6122294652510258483 allows me to search for "Diffusion changed the status" strings and for "Diffusion closed" strings.

Doing so now...

Alright, that's also fixed now. (Had to reopen 2 more tasks, 2 were already reopened thanks to Umherirrender and Quim.)
Crossing fingers that we're really done with task status reverting now.

scfc added a subscriber: scfc.Mar 4 2015, 7:36 PM

Nope, T4592 is still closed. I don't know the Phabricator database structure, but wouldn't it be easier to build a query of all tasks that now have a different status than yesterday and work through that list?

@scfc

select maniphest_task.id, maniphest_transaction.oldValue, maniphest_transaction.newValue from maniphest_task, maniphest_transaction where maniphest_task.phid = maniphest_transaction.objectPHID and maniphest_transaction.transactionType='status' and maniphest_transaction.dateModified > UNIX_TIMESTAMP(NOW() - INTERVAL 24 HOUR);

P354

@scfc: Ahem, I hadn't search the feed for "epriestley closed this" but only for "epriestley changed the status". Thank you. Done now.

/me sighs even louder than earlier today.

Aklapper lowered the priority of this task from High to Lowest.Apr 21 2015, 7:43 PM

Any kind of status changes were corrected already.
The "Unknown Object" part is still there in some/most/all of the tasks but nobody has worked on this part. Not high priority anymore, IMHO.

Qgil added a comment.May 4 2015, 3:27 PM

The related report upstream has been resolved. Please read https://secure.phabricator.com/T6516#111349

demon added a comment.May 4 2015, 3:42 PM

Yeah that fixes it from happening again.

Aklapper closed this task as Declined.May 19 2015, 6:35 PM
Aklapper claimed this task.
demon reopened this task as Stalled.May 19 2015, 8:02 PM

"Not a high priority" doesn't mean declined imho.

demon claimed this task.May 19 2015, 8:02 PM
Bugreporter changed the task status from Stalled to Open.May 21 2015, 5:07 AM
Bugreporter added a subscriber: Bugreporter.

"nobody has worked on this part" does not mean "can currently not be acted on". This is not waiting for further input.

Probably we can remove all Diffusion Commit or all changes by Diffusion.

Bugreporter removed demon as the assignee of this task.May 21 2015, 5:07 AM

@Bugreporter: Why did you remove the assignee of this task (demon)?

Reassigned.

mmodell moved this task from To Triage to Administration on the Phabricator board.Jun 2 2015, 11:37 AM
demon removed demon as the assignee of this task.Jul 2 2015, 6:13 PM
Aklapper moved this task from Administration to To Triage on the Phabricator board.Oct 7 2016, 4:37 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 7 2016, 4:37 PM